Bug 243582 - ifcfg does not support /32 peers
ifcfg does not support /32 peers
Status: CLOSED DUPLICATE of bug 488389
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-10 00:54 EDT by Jan Engelhardt
Modified: 2014-03-16 23:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-20 17:11:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix (629 bytes, patch)
2007-06-10 00:54 EDT, Jan Engelhardt
no flags Details | Diff

  None (edit)
Description Jan Engelhardt 2007-06-10 00:54:13 EDT
Description of problem:
Fedora does not support peer addresses.

Version-Release number of selected component (if applicable):
initscripts-8.45.3 and most likely versions above

How reproducible:
Well, you can't reproduce what does not exist. What would be needed (this is how
opensuse does it):

  IPADDR=192.168.222.35
  NETMASK=255.255.255.255
  REMOTE_IPADDR=192.168.222.7
  #(other options as usual)

to produce the command:

  /sbin/ip addr add 192.168.222.35/32 peer 192.168.222.7

See attachment for a fix.
Comment 1 Jan Engelhardt 2007-06-10 00:54:13 EDT
Created attachment 156661 [details]
Fix
Comment 2 Bug Zapper 2008-05-14 08:58:56 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-11-26 02:19:54 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jan Engelhardt 2008-11-26 11:18:13 EST
This is a reminder that your attention to bug reports sucks.
Comment 5 Bill Nottingham 2009-03-20 17:11:10 EDT

*** This bug has been marked as a duplicate of bug 488389 ***

Note You need to log in before you can comment on or make changes to this bug.